<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	version="1.0">
	
<xsl:template match="presupuesto">

	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">	

		<fo:layout-master-set>
    			<fo:simple-page-master master-name="first" 
    											page-height="297mm" page-width="210mm" 
    											margin-top="10mm" margin-bottom="16mm" 
    											margin-left="15mm" margin-right="15mm">
				
				<fo:region-body margin-top="40mm" margin-bottom="55mm"/>
				<fo:region-before extent="40mm" region-name="before-on-first"/>
				<fo:region-after extent="55mm"/>
			
			</fo:simple-page-master>
			
			
			<fo:simple-page-master master-name="rest" 
    											page-height="297mm" page-width="210mm" 
    											margin-top="40mm" margin-bottom="16mm" 
    											margin-left="15mm" margin-right="15mm">
				
				<fo:region-body margin-top="30mm" margin-bottom="55mm"/>
				<fo:region-before extent="30mm" region-name="before-on-rest"/>
				<fo:region-after extent="55mm"/>
			
			</fo:simple-page-master>
			
			<fo:page-sequence-master name="all-pages">
     				<fo:single-page-master-reference master-reference="first"/>
     				<fo:repeatable-page-master-reference master-reference="rest"/>
   			</fo:page-sequence-master>
				
		</fo:layout-master-set>
		
		<fo:page-sequence master-name="all-pages">
		
			<fo:static-content flow-name="before-on-first">
 				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" margin-left="2mm">
 					<!--<xsl:apply-templates select="cabecera_instalador/cabecera_instalador_rec"/>-->
 				</fo:block>
			</fo:static-content>
			
			<fo:static-content flow-name="before-on-rest">
				<fo:block space-after.optimum="30pt"></fo:block>
 				<fo:block text-align="start" font-family="sans-serif" font-weight="bold" font-size="10pt">
 					<fo:inline>DATOS CLIENTES</fo:inline>
 				</fo:block>
 				<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
					<fo:table-column column-width="20mm"/>
					<fo:table-column column-width="100mm"/>
					<fo:table-column column-width="30mm"/>
					<fo:table-column column-width="30mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="10pt" 
				   				border-style="solid" border-width="0pt" border-color="black">
								<fo:block text-align="start">	
								Nombre:	
								</fo:block>	
				   			</fo:table-cell>   				
				   			<fo:table-cell font-size="10pt" 
				   				border-style="solid" border-width="0pt" border-color="black">
								<fo:block text-align="start" font-weight="bold">		
								<xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec/NOMBRE"/>
								</fo:block>	
				   			</fo:table-cell>   				
				   			<fo:table-cell font-size="10pt" 
				   				border-style="solid" border-width="0pt" border-color="black">
								<fo:block text-align="start">		
								Nº Presupuesto: 
								</fo:block>	
				   			</fo:table-cell>   				
				   			<fo:table-cell font-size="10pt" 
				   				border-style="solid" border-width="0pt" border-color="black">
								<fo:block text-align="start" font-weight="bold">		
								<xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec/NUMEROPRESUPUESTO"/>
								</fo:block>	
				   			</fo:table-cell>   								   							   			
				    		</fo:table-row>
				 	</fo:table-body>
				 </fo:table>
				 <!--
				 LINEA DE SEPARACION
				 -->
				<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
					<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   				border-style="solid" border-width="1pt" border-color="black">
								<fo:block text-align="center">		
								</fo:block>	
				   		</fo:table-cell>   				
				    	</fo:table-row>
				 	</fo:table-body>
				 </fo:table>
				<fo:block space-after.optimum="5pt"></fo:block>
				 <fo:block font-size="10pt" font-weight="bold">
				 	<xsl:apply-templates select="tablas/tablas_rec/TITULO"/>
				 </fo:block>
			</fo:static-content>
			
			<!-- ******************************** -->
			<!-- 		PIE DE PAGINA 	      --> 	
			<!-- ******************************** -->
			<fo:static-content flow-name="xsl-region-after">
				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" 
  					margin-left="1mm"  margin-right="1mm">
  					<fo:block space-after.optimum="10pt"></fo:block>	
					<xsl:apply-templates select="total/total_rec"/>
  					<fo:block space-after.optimum="10pt"></fo:block>

					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		<fo:table-column column-width="90mm"/>
				 		<fo:table-column column-width="90mm"/>
				 		
				 		<fo:table-body font-weight="normal" font-size="10pt"> 
				 		
				 			<fo:table-row>  			 			   			
				 				<!-- Forma de pago -->
				  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
									<fo:block text-align="start">
										<fo:inline font-weight="bold">FORMA DE PAGO:</fo:inline> 
									</fo:block>					
									<fo:block text-align="start" font-size="9pt">
										<fo:inline>Mediante Domiciliación Bancaria</fo:inline>
									</fo:block>					
									<fo:block space-after.optimum="5pt"></fo:block>
									<fo:block text-align="start" margin-left="2mm">
										<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
											<fo:table-column column-width="15mm"/>
											<fo:table-column column-width="20mm"/>
											<fo:table-column column-width="10mm"/>
											<fo:table-column column-width="35mm"/>
						 					<fo:table-body margin-top="1mm" margin-bottom="1mm" 
			    									margin-left="1mm" margin-right="1mm">
						  						<fo:table-row>  			 			
						   							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
														<fo:block text-align="center">		
														BANCO
														</fo:block>	
						   							</fo:table-cell>  
						   							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
														<fo:block text-align="center">		
														AGENCIA
														</fo:block>	
						   							</fo:table-cell> 
						   							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
														<fo:block text-align="center">		
														D.C
														</fo:block>	
						   							</fo:table-cell> 
						   							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
														<fo:block text-align="center">		
														Nº CTA
														</fo:block>	
						   							</fo:table-cell>  				
												</fo:table-row>			   							
						    					
						    						<fo:table-row>

													<!-- banco 4-->
						    							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black">
														<fo:block text-align="center">		
															<xsl:variable name="ficha" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/FICHADF"/>	
					   										<xsl:if test="$ficha = '0'">
																<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,1,4)"/>
																</xsl:if>
															</xsl:if>
															<xsl:if test="$ficha = '1'">
															<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE_2"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,1,4)"/>
																</xsl:if>
															</xsl:if>
														</fo:block>	
						   							</fo:table-cell>
						   							<!-- agencia -->  
						   							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black">
														<fo:block text-align="center">		
															<xsl:variable name="ficha" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/FICHADF"/>	
					   										<xsl:if test="$ficha = '0'">
																<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,6,4)"/>
																</xsl:if>
															</xsl:if>
															<xsl:if test="$ficha = '1'">
															<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE_2"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,6,4)"/>
																</xsl:if>
															</xsl:if>
														</fo:block>	
						   							</fo:table-cell> 
						   							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black">
														<fo:block text-align="center">		
															<xsl:variable name="ficha" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/FICHADF"/>	
					   										<xsl:if test="$ficha = '0'">
																<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,11,2)"/>
																</xsl:if>
															</xsl:if>
															<xsl:if test="$ficha = '1'">
															<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE_2"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,11,2)"/>
																</xsl:if>
															</xsl:if>
														</fo:block>	
						   							</fo:table-cell> 
						   							<fo:table-cell font-size="9pt" display-align="center"
						   							border-style="solid" border-width="1pt" border-color="black">
														<fo:block text-align="center">		
															<xsl:variable name="ficha" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/FICHADF"/>	
					   										<xsl:if test="$ficha = '0'">
																<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,14,8)"/>
																	****
																</xsl:if>
															</xsl:if>
															<xsl:if test="$ficha = '1'">
															<xsl:variable name="cuenta" select="/presupuesto/cliente_y_presupuesto/cliente_y_presupuesto_rec/CUENTACORRIENTE_2"/>
																<xsl:if test="string-length($cuenta) > 0"> 
																	<xsl:value-of select="substring($cuenta,13,19)"/>
																	****
																</xsl:if>
															</xsl:if>
														</fo:block>	
						   							</fo:table-cell>  				
						    						</fo:table-row>
						 					</fo:table-body>
						 				</fo:table>
									</fo:block>					
			
								</fo:table-cell>
								
								<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
									<fo:block text-align="start">						   											
										<fo:inline font-weight="normal">Acepto y autorizo el presupuesto previo</fo:inline> 
									</fo:block>										
									<fo:block space-after.optimum="45pt"></fo:block>
									<fo:block text-align="start" font-style="italic">						   											
										<fo:inline font-style="italic" font-weight="normal">Fecha: &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Firma Cliente</fo:inline> 
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						 			   				   				
					 	</fo:table-body>
				 	</fo:table>
				 	
				 	
				<fo:block space-after.optimum="10pt"></fo:block>
				<fo:block font-style="italic" font-size="8pt"> 
				<fo:inline> NOTAS: </fo:inline>
				</fo:block> 
				<fo:block font-style="italic" font-size="8pt"> 
				<fo:inline> Presupuesto recibido antes de la realización de los trabajos </fo:inline>
				</fo:block> 
				<!--<fo:block text-align="end" font-size="8pt" font-family="sans-serif" line-height="1em + 2pt">
					Nº Presupuesto: <xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec/NUMEROPRESUPUESTO"/>
					___
					Página <fo:page-number/> / <fo:page-number-citation ref-id = "lastBlock"/>
      				</fo:block>-->
      				</fo:block>
	    		</fo:static-content> 
			
			<fo:flow flow-name="xsl-region-body">
  				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" 
  					margin-left="1mm"  margin-right="1mm">
  					

					<fo:block space-after.optimum="10pt"></fo:block>
  					<xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec"/> 				
  					
  					<fo:block space-after.optimum="5pt"></fo:block>

  					<!--
  					<fo:block space-after.optimum="10pt"></fo:block>
  					<xsl:apply-templates select="introdescrip/introdescrip_rec"/> 				
  					-->
  					
  					<fo:block space-after.optimum="15pt"></fo:block>
  					<fo:block text-align="center" font-weight="bold" font-size="10pt" >
						<xsl:apply-templates select="cliente_y_presupuesto/cliente_y_presupuesto_rec/TITULO"/> 	
					</fo:block>					

  					<fo:block space-after.optimum="10pt"></fo:block>
  					<xsl:apply-templates select="tablas/tablas_rec"/>

  					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					<!--<xsl:apply-templates select="total/total_rec"/>
  					<fo:block space-after.optimum="10pt"></fo:block>-->
  					
			
  					
  					<!--<xsl:apply-templates select="textos/textos_rec"/>
  					<fo:block space-after.optimum="10pt"></fo:block>-->
  					
  					<!-- identificador ultima pagina -->
					<fo:block id = "lastBlock">
   				</fo:block>
  					
  				</fo:block>
			</fo:flow>
			
		</fo:page-sequence>
	</fo:root>
</xsl:template>

<xsl:key name="nTab" match="/presupuesto/capitulos/capitulos_rec" use="NUMEROTABLA"/>
<xsl:key name="nTabCap" match="/presupuesto/conceptos/conceptos_rec" use="concat(NUMEROTABLA,NUMEROCAPITULO)"/>
<xsl:key name="nTotalCapitulo" match="/presupuesto/totalcapitulos/totalcapitulos_rec" use="concat(NUMEROTABLA,NUMEROCAPITULO)"/>
<xsl:key name="nTotalTabla" match="/presupuesto/totaltablas/totaltablas_rec" use="NUMEROTABLA"/>

<!-- Informacion Datos Empresa -->
<xsl:template match="cabecera_instalador_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="1pt">
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="110mm"/>
 		 			
 		<fo:table-body>
  			<fo:table-row>  			 			
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black"
   				margin-top="5mm" margin-bottom="5mm">
					<fo:block text-align="center">
						<xsl:variable name="logo" select="LOGO"/>  							    						
						<fo:external-graphic src="{$logo}"/>					
					</fo:block>	
   			</fo:table-cell>
   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					
					<xsl:variable name="varT" select="NOMBRERAZON"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start" font-size="14pt">  					
							<xsl:apply-templates select="NOMBRERAZON"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="NIFCIF"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>C.I.F/N.I.F.: </fo:inline>
							<xsl:apply-templates select="NIFCIF"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="CALLE"/>	
					<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="CALLE"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="CODIGOPOSTAL"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="CODIGOPOSTAL"/>
							<fo:inline>,  </fo:inline>
						
							<xsl:apply-templates select="POBLACION"/>
						
							<xsl:variable name="var1" select="POBLACION"/>
							<xsl:variable name="var2" select="PROVINCIA"/>
 							<xsl:if test="$var1 != $var2">
 								<fo:inline>  (</fo:inline>
								<xsl:apply-templates select="PROVINCIA"/>
								<fo:inline>)</fo:inline>
		   				</xsl:if>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="TELEFONO1"/>	
					<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Teléfono: </fo:inline>
							<xsl:apply-templates select="TELEFONO1"/>
							<fo:inline> Fax: </fo:inline>
							<xsl:apply-templates select="FAX"/>
						</fo:block>
					</xsl:if>
										
					<xsl:variable name="varT" select="EMAIL1"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="EMAIL1"/>
							<fo:inline> - </fo:inline>
							<xsl:apply-templates select="PAGINAWEB"/>
						</fo:block>
					</xsl:if>
					
   				<xsl:variable name="varT" select="REGISTRO"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Nº Registro Empresa Instaladora de Telecomunicación: </fo:inline>
							<xsl:apply-templates select="REGISTRO"/>
						</fo:block>
					</xsl:if>
   				
   			</fo:table-cell>
   			
   		</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<!--	formateo decimal	-->
<xsl:decimal-format name="euro"
	decimal-separator="," grouping-separator="."/>

<!-- BODY -->
<xsl:template match="cliente_y_presupuesto_rec">
	
	<!-- TABLA CLIENTE-->
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 		<fo:table-column column-width="89mm"/>
 		<fo:table-column column-width="2mm"/>
 		<fo:table-column column-width="89mm"/>
 
 		<fo:table-body font-weight="normal"> 
  			  			 			   		
			<!-- DATOS DEL OPERADOR O CLIENTE-->		   				
			<fo:table-row>
			
				<!-- Espacio en blanco -->
				<fo:table-cell border-style="solid" border-width="0pt" >
				</fo:table-cell>
				
				<!-- Espacio en blanco -->
				<fo:table-cell border-style="solid" border-width="0pt" >
				</fo:table-cell>
			
				<!-- DATOS CLIENTE -->			
				<fo:table-cell border-style="solid" border-left-width="0pt" 
									border-right-width="0pt" border-top-width="0pt" border-bottom-width="0pt" 
									border-color="black">
					
				<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
					<fo:table-column column-width="88mm"/>
					<fo:table-body>
						<fo:table-row border-style="solid" border-width="0pt">					
							<fo:table-cell border-style="solid" border-width="0pt">
								<fo:block text-align="start" font-weight="bold">
									<xsl:apply-templates select="NOMBRE"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						
						
						<fo:table-row>					
							<fo:table-cell border-style="solid" border-width="0pt">
								<fo:block text-align="start">
									<xsl:apply-templates select="CALLE"/>						
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
														
						<fo:table-row>					
							<fo:table-cell border-style="solid" border-width="0pt">
								<fo:block space-after.optimum="5pt" text-align="start">	
									<xsl:apply-templates select="CODIGOPOSTAL"/> - 							   																	
									<xsl:apply-templates select="POBLACION"/>
									<xsl:variable name="var1" select="POBLACION"/>
									<xsl:variable name="var2" select="PROVINCIA"/>
									<xsl:if test = "$var1 != $var2">
										<fo:inline>  (</fo:inline>
										<xsl:apply-templates select="PROVINCIA"/>
										<fo:inline>)</fo:inline>
	   								</xsl:if>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>					
							<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block space-after.optimum="5pt" text-align="start">	
										<fo:inline>*A/A: </fo:inline> <xsl:apply-templates select="/factura/representante_cliente_factura/representante_cliente_factura_rec/NOMBRE"/>
									</fo:block>
							</fo:table-cell>
						</fo:table-row>
						<fo:table-row>					
							<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">	
										<fo:inline>*C.I.F./N.I.F. </fo:inline> <xsl:apply-templates select="NIFCIF"/>
									</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</fo:table-body>
					</fo:table>
				</fo:table-cell>
    			</fo:table-row>
    		</fo:table-body>
   	</fo:table>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	
	<!-- TABLA PRESUPUESTO -->
	<fo:block text-align="start">
		<fo:inline font-weight="bold">PRESUPUESTO</fo:inline> 
	</fo:block>				

	<!--
	LINEA DE SEPARACION
	-->
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
 		<fo:table-column column-width="180mm"/>
 		<fo:table-body>
  			<fo:table-row>  			 			
   			<fo:table-cell font-size="1pt" 
   					border-style="solid" 
   					border-width="1pt" border-top-color="black"
					border-bottom-color="white" border-right-color="white" border-left-color="white">
   							<fo:block text-align="center">		
					</fo:block>	
   			</fo:table-cell>   				
    		</fo:table-row>
 		</fo:table-body>
 	</fo:table>
			
   	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
		<fo:table-column column-width="30mm"/>
		<fo:table-column column-width="30mm"/>
		<fo:table-column column-width="30mm"/>
		<fo:table-column column-width="30mm"/>
		<fo:table-column column-width="30mm"/>
		<fo:table-column column-width="30mm"/>
		<fo:table-body>
				 			
			<fo:table-row>		
				<!-- Nº PRESUPUESTO -->			
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="justify">
						<fo:inline>Nº Presupuesto:</fo:inline>
					</fo:block>		
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
						<xsl:apply-templates select="NUMEROPRESUPUESTO"/>
					</fo:block>
				</fo:table-cell>
				
				<!--Fecha Emisión -->
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="justify">
						<fo:inline>Fecha Emisión:</fo:inline>
					</fo:block>		
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
						<xsl:variable name="fecha" select="FECHAEMISION"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<!--<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
					<fo:block text-align="start">
						<xsl:variable name="fecha" select="FECHAAVISO"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
					</fo:block>
					</fo:block>
				</fo:table-cell>
				-->
				<!-- nº Aviso -->
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="justify">
						<fo:inline>Nº Aviso: </fo:inline>
					</fo:block>		
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="0pt">
				<!--	<fo:block text-align="start">
						<fo:block text-align="start">
						<xsl:variable name="hora" select="HORAAVISO"/> 
							<xsl:if test="$hora > 0"> 
								<xsl:if test="string-length($hora) > 3">
									<xsl:value-of select="substring($hora,1,2)"/>:<xsl:value-of select="substring($hora,3,2)"/>
								</xsl:if>
								<xsl:if test="not(string-length($hora) > 3)">
									<xsl:value-of select="substring($hora,1,1)"/>:<xsl:value-of select="substring($hora,2,2)"/>
								</xsl:if>
							</xsl:if>
						</fo:block>
					</fo:block>-->
				</fo:table-cell>
			</fo:table-row>
										
			<fo:table-row>					
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
						<fo:inline>Lugar Inst,:</fo:inline>			
					</fo:block>
				</fo:table-cell>	
				
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
					<xsl:apply-templates select="/presupuesto/infraestructura_y_presupuesto/infraestructura_y_presupuesto_rec/CALLE"/>
					</fo:block>
				</fo:table-cell>

<!-- 
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
						<fo:inline>F. Caducidad:</fo:inline> 
					</fo:block>
				</fo:table-cell>	
				
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
-->
						<!--<xsl:variable name="tipoCobro" select="UIDFORMACOBRO"/>
						<xsl:if test="$tipoCobro = '-3'">
							<fo:block text-align="start"><fo:inline> SI </fo:inline> </fo:block>
						</xsl:if>
						<xsl:if test="$tipoCobro != '-3'">
							<fo:block text-align="start"><fo:inline> NO </fo:inline> </fo:block> 
						</xsl:if>-->

<!-- 							
						<xsl:variable name="fecha" select="FECHAVALIDEZ"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
					</fo:block>				
				</fo:table-cell>
-->				
				
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="justify">
						<fo:inline>Operador Aviso:</fo:inline>
					</fo:block>		
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="0pt">
					<fo:block text-align="start">
						<fo:inline> ****<xsl:apply-templates select="NOMBREOPERADOR"/> </fo:inline>
					</fo:block>
				</fo:table-cell>
			</fo:table-row>
		</fo:table-body>
	</fo:table>
	
	
 	
</xsl:template>


<xsl:template match="introdescrip_rec">
	
	<xsl:variable name="var1" select="INTRODUCCION"/>
	<xsl:if test="string-length($var1) > 1">
	
		<!-- Introduccion -->
		<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 			<fo:table-column column-width="180mm"/>
 		
 			<fo:table-body> 
 					 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">
							
							<!--
							<xsl:variable name="myString" select="INTRODUCCION"/>
							
							<xsl:variable name="myNewString">
								<xsl:call-template name="Replace">
									<xsl:with-param name="stringIn" select="$myString"/>
									<xsl:with-param name="substringIn" select="'?'"/>
									<xsl:with-param name="substringOut" select="'&#x20AC;'"/>
								</xsl:call-template>
							</xsl:variable>
							-->
							<!--
							show the new string. concat() will treat the result tree
							fragment as if it were a string returned by the string() function.
							-->
							<!--
							<xsl:value-of select="concat('&#10;input: ',$myString,'&#10;output: ',$myNewString)"/>
							-->
							
							<xsl:apply-templates select="INTRODUCCION"/>

						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
	 		</fo:table-body>
 		</fo:table>
 	
 		<fo:block space-after.optimum="10pt"></fo:block>
 		
 	</xsl:if>
 	
 	<xsl:variable name="var2" select="DESCRIPCION"/>
	<xsl:if test="string-length($var2) > 1">
 		<!-- Comentarios y presentación -->
 		<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 			<fo:table-column column-width="180mm"/>
 		
 			<fo:table-body font-weight="normal"> 
 				 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="DESCRIPCION"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
	 		</fo:table-body>
 		</fo:table>
 	</xsl:if>
	
</xsl:template>

<!-- Informacion TablasPresupuestos -->
<xsl:template match="tablas_rec">

	<fo:block text-align="start" font-weight="bold">
		<xsl:apply-templates select="TITULO"/>
	</fo:block >

 	<fo:block>		
 		<xsl:variable name="numTabla" select="NUMEROTABLA"/>							
 		<xsl:apply-templates select="key('nTab',$numTabla)"/>   		
		<xsl:apply-templates select="key('nTotalTabla',$numTabla)"/>   										
	</fo:block>
</xsl:template>

<!--	Informacion CapitulosPresupuestos -->

<xsl:template match="capitulos_rec">
	
	<!--<fo:block space-after.optimum="10pt"></fo:block>-->
		
	<fo:block text-align="start" font-weight="bold">
		<fo:inline >&#160;&#160;&#160;</fo:inline>
		<xsl:apply-templates select="TITULO"/>
		<!--<fo:inline >&#160;&#160;&#160;Capítulo </fo:inline>			
		<xsl:apply-templates select="NUMEROTABLA"/>
		<fo:inline >.</fo:inline>			
		<xsl:apply-templates select="NUMEROCAPITULO"/>
		<fo:inline >.</fo:inline>-->
	</fo:block>
	

	<fo:block space-after.optimum="5pt"></fo:block>
	

 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="70mm"/>
 		<fo:table-column column-width="25mm"/>
 		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<fo:table-column column-width="15mm"/>
			<fo:table-column column-width="25mm"/>
		</xsl:if>
		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum = 0">
			<fo:table-column column-width="40mm"/>
		</xsl:if>
 			
 		<fo:table-body font-weight="bold" start-indent="2pt" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm" background-color="#A6D5E4">			
			<fo:table-row>					
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						Uds.
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						Ref.
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						DESCRIPCION
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						P. Unidad
					</fo:block>
   			</fo:table-cell>
   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 				<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
				<xsl:if test="$sum > 0">
					<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							Dto.
						</fo:block>
   				</fo:table-cell>
				</xsl:if>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						Importe €
					</fo:block>
   			</fo:table-cell>   					   								   				   					
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>  	 	
			
	<xsl:variable name="numTabla" select="NUMEROTABLA"/>
	<xsl:variable name="numCapitulo" select="NUMEROCAPITULO"/>
	<xsl:apply-templates select="key('nTabCap',concat($numTabla,$numCapitulo))"/>
	<xsl:apply-templates select="key('nTotalCapitulo',concat($numTabla,$numCapitulo))"/>
	
</xsl:template>

<!--	Informacion ConceptosPresupuestos -->
<xsl:template match="conceptos_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="70mm"/>
 		<fo:table-column column-width="25mm"/>
		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<fo:table-column column-width="15mm"/>
			<fo:table-column column-width="25mm"/>
		</xsl:if>
		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
		<xsl:if test="$sum = 0">
			<fo:table-column column-width="40mm"/>
		</xsl:if>
 			
		<fo:table-body start-indent="2pt" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">			
			<fo:table-row>
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="center">
						<xsl:apply-templates select="UNIDADES"/>
					</fo:block>
   			</fo:table-cell>   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="REFERENCIA"/>
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="DESCRIPCION"/>
					</fo:block>
   			</fo:table-cell>			   				   							   		
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="PVP"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(PVP, '#.###,00', 'euro')"/>
					</fo:block>
   			</fo:table-cell>
   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 				<xsl:variable name="sum" select="sum(/presupuesto/conceptos/conceptos_rec/DESCUENTO)" />
				<xsl:if test="$sum > 0">
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
						<fo:block text-align="end">
							<xsl:apply-templates select="DESCUENTO"/>%
						</fo:block>
   				</fo:table-cell>
				</xsl:if>		
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<xsl:variable name="var1" select="FACTURABLE"/>
	 				<xsl:if test="$var1 = '0'">
	 					<fo:block text-align="end" text-decoration="line-through">
	 						<xsl:variable name="varZ" select="IMPORTE"/>
							<xsl:if test="not($varZ > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(IMPORTE, '#.###,00', 'euro')"/>
						</fo:block>
					</xsl:if>
					
					<xsl:if test="$var1 = '1'">
	 					<fo:block text-align="end">
	 						<xsl:variable name="varZ" select="IMPORTE"/>
							<xsl:if test="not($varZ > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(IMPORTE, '#.###,00', 'euro')"/>
						</fo:block>
					</xsl:if>
   			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>	
</xsl:template>

<!--	Informacion TotalCapitulos -->
<xsl:template match="totalcapitulos_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="100mm"/>
 		<fo:table-column column-width="25mm"/>
 		<fo:table-column column-width="40mm"/>		
		
		<fo:table-body font-weight="bold">			
			<fo:table-row>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   					
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
   				</fo:table-cell>			   				
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
						<fo:block text-align="end">
							<fo:inline font-weight="bold" text-align="end">Total </fo:inline>							
							<xsl:apply-templates select="NUMEROTABLA"/>
							<fo:inline >.</fo:inline>													
							<xsl:apply-templates select="NUMEROCAPITULO"/>
						</fo:block>
   				</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="TOTALCAPITULO"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALCAPITULO, '#.###,00', 'euro')"/>
					</fo:block>
   				</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>	
</xsl:template>

<!--	Informacion TotalTablas -->
<xsl:template match="totaltablas_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="100mm"/>
 		<fo:table-column column-width="25mm"/>
 		<fo:table-column column-width="40mm"/>	
		
		<fo:table-body font-weight="bold">			
			<fo:table-row>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
						<fo:block space-after.optimum="15pt"></fo:block>
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>			   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
			</fo:table-row>
			<fo:table-row>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   					
   			</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
   			</fo:table-cell>			   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
   				<fo:block text-align="end">   					
						<fo:inline>Total </fo:inline>							
   					<xsl:apply-templates select="NUMEROTABLA"/>
   				</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="TOTALTABLA"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALTABLA, '#.###,00', 'euro')"/>
					</fo:block>
   			</fo:table-cell>
			</fo:table-row>
			<fo:table-row>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
						<fo:block space-after.optimum="15pt"></fo:block>
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>			   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
   				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">
					</fo:block>
   			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>	
</xsl:template>

<!--	Informacion Total -->
<xsl:template match="total_rec">

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<!--<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 		<fo:table-column column-width="45mm"/>
 
 		<fo:table-body font-weight="bold" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA</fo:inline> 
					</fo:block>
				</fo:table-cell>
-->
 		<fo:table-column column-width="35mm"/>
 		<fo:table-column column-width="35mm"/>
 		<fo:table-column column-width="35mm"/>
		<fo:table-column column-width="25mm"/>
 		<fo:table-column column-width="25mm"/>
 		<fo:table-column column-width="25mm"/>
 		
 		<fo:table-body font-weight="bold"  
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA MATERIAL</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>MANO DE OBRA</fo:inline> 
					</fo:block>
				</fo:table-cell>
  				
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>BASE IMPONIBLE</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>TIPO IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>CUOTA IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>TOTAL</fo:inline> 
   					</fo:block>										
   			</fo:table-cell>
   		</fo:table-row>
   		
   		<fo:table-row>
   			<!--<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="SUMA"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(SUMA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								<fo:block space-after.optimum="15pt"></fo:block>
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell> -->
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
				<fo:block text-align="center" start-indent="2pt">
					<xsl:variable name="base" select="/presupuesto/suma_material/suma_material_rec/SUMAMATERIAL"/>
					<xsl:if test="string-length($base) > 0">
						<xsl:if test="$base > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(/presupuesto/suma_material/suma_material_rec/SUMAMATERIAL, '#.###,00', 'euro')"/> €
						</xsl:if>
						<xsl:if test="$base = 0">
							<fo:block space-after.optimum="15pt"></fo:block>
						</xsl:if>
					</xsl:if>
				</fo:block>
			</fo:table-cell>				
			
			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
				<fo:block text-align="center" start-indent="2pt">
					<xsl:variable name="base" select="/presupuesto/suma_mano_obra/suma_mano_obra_rec/SUMAMANOOBRA"/>
					<xsl:if test="string-length($base) > 0">
						<xsl:if test="$base > 0">
							<xsl:if test="not($base > 1)">
								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(/presupuesto/suma_mano_obra/suma_mano_obra_rec/SUMAMANOOBRA, '#.###,00', 'euro')"/> €
						</xsl:if>
						<xsl:if test="$base = 0">
							<fo:block space-after.optimum="15pt"></fo:block>
						</xsl:if>
					</xsl:if>
				</fo:block>
			</fo:table-cell>				
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="/presupuesto/baseimponible/baseimponible_rec/BASEIMPONIBLE"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(/presupuesto/baseimponible/baseimponible_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">	
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="iva" select="IVA"/>
						<xsl:variable name="base" select="/presupuesto/baseimponible/baseimponible_rec/BASEIMPONIBLE"/>
						<xsl:if test="$base > 0">
							<xsl:value-of select="round(($iva*100) div $base)"/>%
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="IVA"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(IVA, '#.###,00', 'euro')"/> €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="TOTAL"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(TOTAL, '#.###,00', 'euro')"/> €
							</xsl:if>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell>	   			
    		</fo:table-row>
    		
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<!--	Informacion TEXTOS FINALES -->
<xsl:template match="textos_rec">
	
	<xsl:variable name="var3" select="CONDICIONESGENERALES"/>
	<xsl:if test="string-length($var3) > 1">
		
		<!-- Condiciones generales -->
		<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="90mm"/>
	 		<fo:table-column column-width="90mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
	 			<fo:table-row>  			 			   			
	 				<!-- Forma de pago -->
	  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
						<fo:block text-align="start">
							<fo:inline font-weight="bold">FORMA DE PAGO:</fo:inline> 
						</fo:block>					
						<fo:block text-align="start">
							<fo:inline>Mediante Domiciliación Bancaria</fo:inline>
						</fo:block>					
						<fo:block space-after.optimum="5pt"></fo:block>
						<fo:block text-align="start" margin-left="2mm">
							<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
								<fo:table-column column-width="15mm"/>
								<fo:table-column column-width="15mm"/>
								<fo:table-column column-width="10mm"/>
								<fo:table-column column-width="40mm"/>
			 					<fo:table-body margin-top="1mm" margin-bottom="1mm" 
    									margin-left="1mm" margin-right="1mm">
			  						<fo:table-row>  			 			
			   							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
											<fo:block text-align="center">		
											BANCO
											</fo:block>	
			   							</fo:table-cell>  
			   							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
											<fo:block text-align="center">		
											AGENCIA
											</fo:block>	
			   							</fo:table-cell> 
			   							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
											<fo:block text-align="center">		
											D.C
											</fo:block>	
			   							</fo:table-cell> 
			   							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black" background-color="#A6D5E4">
											<fo:block text-align="center">		
											Nº CTA
											</fo:block>	
			   							</fo:table-cell>  				
									</fo:table-row>			   							
			    					
			    						<fo:table-row>
			    							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black">
											<fo:block text-align="center">		
											1234
											</fo:block>	
			   							</fo:table-cell>  
			   							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black">
											<fo:block text-align="center">		
											1234
											</fo:block>	
			   							</fo:table-cell> 
			   							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black">
											<fo:block text-align="center">		
											12
											</fo:block>	
			   							</fo:table-cell> 
			   							<fo:table-cell font-size="9pt" display-align="center"
			   							border-style="solid" border-width="1pt" border-color="black">
											<fo:block text-align="center">		
											1234123412341234
											</fo:block>	
			   							</fo:table-cell>  				
			    						</fo:table-row>
			 					</fo:table-body>
			 				</fo:table>
						</fo:block>					

					</fo:table-cell>
					
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start">						   											
							<fo:inline font-weight="normal" font-size="9pt">Acepto y autorizo el presupuesto previo</fo:inline> 
						</fo:block>										
						<fo:block space-after.optimum="35pt"></fo:block>
						<fo:block text-align="start" font-style="italic" font-size="9pt">						   											
							<fo:inline font-style="italic" font-weight="bold">Fecha: &#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Firma Cliente</fo:inline> 
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				  			 			   				   				
				<!--<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="CONDICIONESGENERALES"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row> -->
		 	</fo:table-body>
	 	</fo:table>
	 	
	 	<fo:block space-after.optimum="10pt"></fo:block>
	 	
 	</xsl:if>
 		
 	
 	<!--<xsl:variable name="var4" select="OBSERVACIONES"/>
	<xsl:if test="string-length($var4) > 1">
 	-->
	 	<!-- Observaciones -->
	<!-- 	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="180mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
	  			<fo:table-row>  			 			   			
	  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
						<fo:block text-align="start">
							<fo:inline font-weight="bold">OBSERVACIONES</fo:inline> 
						</fo:block>					
					</fo:table-cell>
				</fo:table-row>
				  			 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="OBSERVACIONES"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
		 	</fo:table-body>
	 	</fo:table>
	
		<fo:block space-after.optimum="10pt"></fo:block>
   </xsl:if>-->
   
   <!--
   Presupuesto recibido y tal
   -->
   <!--<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 	<fo:table-column column-width="180mm"/>
		 		
		<fo:table-body font-weight="normal"> 
		 	<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-bottom-width="0pt">					
					<fo:block text-align="start">						   											
						Presupuesto recibido antes de la realización de los trabajos.
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block space-after.optimum="10pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
				border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block text-align="start">
						<fo:inline>F. Emisión del Presupuesto </fo:inline>
						<xsl:variable name="fecha" select="FECHAEMISION"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block text-align="start">
						<fo:inline>F. Aceptación </fo:inline>
						<xsl:variable name="fecha" select="FECHAACEPTACLIENTE"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
					</fo:block>
					</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block space-after.optimum="10pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
					
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block text-align="start">						   											
						Acepto el Presupuesto previo y autorizo la realización de los trabajos.
					</fo:block>		
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block space-after.optimum="60pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block>						   											
						<fo:inline  text-align="start">Por el CLIENTE ____________________ </fo:inline>
						<fo:inline  text-align="start">Por la EMPRESA INSTALADORA ____________________</fo:inline>
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt">					
					<fo:block space-after.optimum="10pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
		</fo:table-body>
	</fo:table>
      
 	<xsl:variable name="var5" select="OTROSSERVICIOS"/>
	<xsl:if test="string-length($var5) > 1">
 -->
	   <!-- Observaciones -->
	   
	   <!--<fo:block space-after.optimum="10pt"></fo:block>
	   
	 	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="180mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
	  			<fo:table-row>  			 			   			
	  				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
						<fo:block text-align="start">
							<fo:inline font-weight="bold">OTROS SERVICIOS</fo:inline> 
						</fo:block>					
					</fo:table-cell>
				</fo:table-row>
				  			 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="OTROSSERVICIOS"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
		 	</fo:table-body>
	 	</fo:table>
   </xsl:if>
   
   <xsl:variable name="var5" select="DESPEDIDACOMENTARIOS"/>
	<xsl:if test="string-length($var5) > 1">
 -->
	   <!-- Observaciones -->
	   
	   <!--<fo:block space-after.optimum="10pt"></fo:block>
	   
	 	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 		<fo:table-column column-width="180mm"/>
	 		
	 		<fo:table-body font-weight="normal"> 
	 		
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false" linefeed-treatment="preserve" 
							white-space-treatment="preserve">						   											
							<xsl:apply-templates select="DESPEDIDACOMENTARIOS"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
		 	</fo:table-body>
	 	</fo:table>
   </xsl:if>-->
   
</xsl:template>

<!--	Funcion para reemplazar cadenas	-->
<xsl:template name="Replace">
	<xsl:param name="stringIn"/>
	<xsl:param name="substringIn"/>
	<xsl:param name="substringOut"/>
	<xsl:choose>
		<xsl:when test="contains($stringIn,$substringIn)">
			<xsl:value-of select="concat(substring-before($stringIn,$substringIn),$substringOut)"/>
			<xsl:call-template name="Replace">
				<xsl:with-param name="stringIn" select="substring-after($stringIn,$substringIn)"/>
				<xsl:with-param name="substringIn" select="$substringIn"/>
				<xsl:with-param name="substringOut" select="$substringOut"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$stringIn"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>